Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-1112

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2005-1112
Last Modified 05 Sep 2008 04:48:14
Published 02 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-1112

Summary

IBM WebSphere Application Server 6.0 and earlier, when sharing the document root of the web server, allows remote attackers to obtain the source code for Java Server Pages (.jsp) via an HTTP request with an invalid Host header, which causes the page to be processed by the web server instead of the JSP engine.

Vulnerable Systems

Application

  • Ibm Websphere Application Server 5.0

  • Ibm Websphere Application Server 5.0.1

  • Ibm Websphere Application Server 5.0.2

  • Ibm Websphere Application Server 5.0.2.1

  • Ibm Websphere Application Server 5.0.2.3

  • Ibm Websphere Application Server 5.0.2.4

  • Ibm Websphere Application Server 5.0.2.5

  • Ibm Websphere Application Server 5.0.2.6

  • Ibm Websphere Application Server 5.0.2.7

  • Ibm Websphere Application Server 5.0.2.8

  • Ibm Websphere Application Server 5.0.2.9

  • Ibm Websphere Application Server 5.1.0

  • Ibm Websphere Application Server 5.1.0.2

  • Ibm Websphere Application Server 5.1.0.4

  • Ibm Websphere Application Server 5.1.0.5

  • Ibm Websphere Application Server 5.1.1

  • Ibm Websphere Application Server 5.1.1.1

  • Ibm Websphere Application Server 5.1.1.2

  • Ibm Websphere Application Server 5.1.1.3

  • Ibm Websphere Application Server 6.0


References

XF - ibm-websphere-information-disclosure(20099)

SECTRACK - 1013697

SECUNIA - 14962

BUGTRAQ - 20050413 IBM WebSphere Widespread configuration JSP disclosure

BID - 13160

OSVDB - 15501


Last Updated: 27 May 2016 10:40:02